package com.gic.enterprise.utils;

import com.gic.enterprise.base.EnterpriseInfo;
import com.gic.enterprise.base.MenuInfo;
import com.gic.enterprise.base.UserInfo;
import com.gic.enterprise.base.UserResourceInfo;

import java.io.Serializable;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * session
 * @ClassName: UserDetail 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/15 10:15 AM 
 */
public class UserDetail implements Serializable {
    private Integer userId = 2222;
    private UserInfo userInfo;
    private EnterpriseInfo enterpriseInfo;
    private UserResourceInfo userResourceInfo;
    /**
     * 用户登陆所有拥有的菜单权限，用于权限拦截，存放menu_id
     */
    private Set<Integer> menuIdSet;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getEnterpriseId() {
        return enterpriseInfo.getEnterpriseId();
    }

    public UserInfo getUserInfo() {
        return userInfo;
    }

    public void setUserInfo(UserInfo userInfo) {
        this.userInfo = userInfo;
    }

    public EnterpriseInfo getEnterpriseInfo() {
        return enterpriseInfo;
    }

    public void setEnterpriseInfo(EnterpriseInfo enterpriseInfo) {
        this.enterpriseInfo = enterpriseInfo;
    }

    public UserResourceInfo getUserResourceInfo() {
        return userResourceInfo;
    }

    public void setUserResourceInfo(UserResourceInfo userResourceInfo) {
        this.userResourceInfo = userResourceInfo;
    }

    public Set<Integer> getMenuIdSet() {
        return menuIdSet;
    }

    public UserDetail setMenuIdSet(Set<Integer> menuIdSet) {
        this.menuIdSet = menuIdSet;
        return this;
    }
}
