package com.gic.enterprise.response;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.error.Error;
/**
 * 返回对象包装
 * @ClassName: EnterpriseRestResponse 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/15 10:12 AM 
 */
public class EnterpriseRestResponse extends RestResponse {
    public static RestResponse failure(ServiceResponse serviceResponse){
        return RestResponse.failure(serviceResponse.getCode(), serviceResponse.getMessage(), serviceResponse.getResult());
    }

    public static RestResponse failure(Error error){
        return RestResponse.failure(error.getErrorCode(), error.getErrorMsg());
    }
}
